%define upstream_name    File-CodeSearch
%define upstream_version 0.7.4

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Search file contents in code repositories
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-v%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Clone)
BuildRequires: perl(Config::General)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::TypeCategories) >= 0.10.0
BuildRequires: perl(File::chdir)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Prompt)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny) >= 0.5.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Readonly)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Term::Size::Any)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warnings) >= 0.16.0
BuildRequires: perl(autodie)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildRequires: perl-autodie >= 2.190.0
BuildArch:  noarch

%description
This class allows you to search file contents in code repositories.

%prep
%setup -q -n %{upstream_name}-v%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/cs
/usr/share/man/man1/cs.1.xz


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.7.4-3.mga6
+ Revision: 1027287
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.7.4-2.mga6
+ Revision: 969579
- Mageia 6 Mass Rebuild

* Wed Sep 02 2015 shlomif <shlomif> 0.7.4-1.mga6
+ Revision: 872244
- New ver 0.7.4

* Tue Jul 14 2015 shlomif <shlomif> 0.7.3-1.mga6
+ Revision: 853754
- New version 0.7.3

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri Aug 22 2014 sander85 <sander85> 0.5.8-1.mga5
+ Revision: 666505
- update to v0.5.8

* Fri Jun 06 2014 jquelin <jquelin> 0.5.7-4.mga5
+ Revision: 633936
- perl 5.20 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 0.5.7-3.mga5
+ Revision: 606082
- perl 5.18.2 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.5.7-2.mga4
+ Revision: 530258
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 sander85 <sander85> 0.5.7-1.mga4
+ Revision: 456918
- update to v0.5.7

* Wed Jun 19 2013 shlomif <shlomif> 0.5.6-1.mga4
+ Revision: 445058
- Fix BRs
- New version v0.5.6

* Sun Jan 13 2013 umeabot <umeabot> 0.5.5-2.mga3
+ Revision: 367148
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 09 2011 kharec <kharec> 0.5.5-1.mga2
+ Revision: 179725
- Add BR on Term::Size::Perl
- update to v0.5.5

* Fri Dec 09 2011 kharec <kharec> 0.5.2-1.mga2
+ Revision: 179659
- Add a BR on Term::Size::Perl
- imported package perl-File-CodeSearch


* Fri Dec 09 2011 cpan2dist v0.5.2-1mga
- initial mageia release, generated with cpan2dist
